<?php
/**
 *  Copyright 2021-2099 51助手网(www.51zuso.com)
 */
if(!defined('IN_DISCUZ') || !defined('IN_ADMINCP')) {
	exit('Access Denied');
}

function base64Img($base64_image_content,$path){
	//匹配出图片的格式
	if (preg_match('/^(data:\s*image\/(\w+);base64,)/', $base64_image_content, $result)){
		$type = $result[2];
		$new_file = $path;
		if(!file_exists($new_file)){
			//检查是否有该文件夹，如果没有就创建，并给予最高权限
			mkdir($new_file, 0700);
		}
		$new_file = $new_file.uniqid().".{$type}";
		if (file_put_contents($new_file, base64_decode(str_replace($result[1], '', $base64_image_content)))){
			return $new_file;
		}else{
			return false;
		}
	}else{
		return false;
	}
}


if(!submitcheck('submit')){
	//获取图片数据
    $data = file_get_contents('source/plugin/zsbanner/data.php');
	$data = unserialize($data);
	$banner = $data['banner'];
	$arrow = $data['arrow'];
	include template('zsbanner:admin/set');  //引入模版
	echo $html;

}else{
	$data = $_GET['data'];
	
	//左右箭头数据
	if(preg_match('/^data:image/',$data['arrow']['prev'])){
		$data['arrow']['prev'] = base64Img($data['arrow']['prev'],'source/plugin/zsbanner/upload/');
	}
	if(preg_match('/^data:image/',$data['arrow']['next'])){
		$data['arrow']['next'] = base64Img($data['arrow']['next'],'source/plugin/zsbanner/upload/');
	}

	//轮播图数据
	foreach($data['banner'] as $k=>$v){
		//存储图片
		if(preg_match('/^data:image/',$v['img'])){
			$v['img'] =  base64Img($v['img'],'source/plugin/zsbanner/upload/');
		}
		$data['banner'][$k] = $v;
	}
	
	//--排序
	foreach ($data['banner'] as $key => $val) {
		$sortkey[$key] = $val['sort'];
	}
	
	array_multisort($sortkey,SORT_ASC,$data['banner']);
	
	
	$res = file_put_contents('source/plugin/zsbanner/data.php',serialize($data));
	if($res){
		cpmsg(lang('plugin/zsbanner', 'editSuccess'),'','');
	}else{
		cpmsg(lang('plugin/zsbanner', 'editfail'),'','error');
	}
}




?>